/* Selection Sort */

#include <stdlib.h>
#include <stdio.h>

/* Ordina "in loco" gli elementi di a */
void selection_sort(int a[], int len) {

  int j, i, minimo, indiceMinimo;
 
  for ( i = 0; i < len; i++) {
     minimo = a[i];
     indiceMinimo = j;
     for ( j = i+1; j < len; j++) {  // cerca il minimo in a[i+1...len]
	  if ( a[j] < minimo) {
	      minimo = a[j];
	      indiceMinimo = j;
	  }
     }
     /* Scambia l'elemento corrente con il minimo */
     a[indiceMinimo] = a[i];
     a[i] = minimo;
  }

}

int main() {
  /* test legge un array di n elementi da input */  
  int n, *A, i;

  scanf("%d", &n);
  if(n <= 0) return 1;

  A = (int *) malloc(n * sizeof(int));
  if(A == NULL) return 1;

  for( i = 0; i < n; i++ ) 
	  scanf("%d", A+i);

  selection_sort(A, n);

}