/* Insertion Sort */

#include <stdlib.h>
#include <stdio.h>

/* Ordina "in loco" gli elementi di a */
void insertion_sort(int a[], int len) {

  int i, j, prossimo;

  for ( i = 1; i < len; i++ ) {
      prossimo = a[i];
      j = i; 
      while ( ( j > 0 )  && (a[j-1] > prossimo ) ) {
	    a[j] = a[j-1]; 
	    j--;
      }
      a[j] = prossimo; 
  }

}

int main() {
  /* test legge un array di n elementi da input */  
  int n, *A, i;

  scanf("%d", &n);
  if(n <= 0) return 1;

  A = (int *) malloc(n * sizeof(int));
  if(A == NULL) return 1;

  for( i = 0; i < n; i++ ) 
	  scanf("%d", A+i);

  insertion_sort(A, n);

}